Page MenuHomePhabricator

1.34.0-wmf.6 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.34.0-wmf.6
Release Date
1558310400

2019 week 21 1.34-wmf.6 Changes wmf/1.34.0-wmf.6

This MediaWiki Train Deployment is scheduled for the week of Monday, May 20th:

Monday May 20thTuesday, May 21stWednesday, May 22ndThursday, May 23rdFriday
SWAT deployments only.Branch wmf.6 and deploy to Group 0 Wikis.Deploy wmf.6 to Group 1 Wikis.Deploy wmf.6 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.6 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.5
Next: 1.34.0-wmf.7

Related Objects

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell assigned this task to hashar.Apr 11 2019, 6:46 PM
mmodell triaged this task as Normal priority.Apr 11 2019, 7:11 PM

Mentioned in SAL (#wikimedia-operations) [2019-05-21T12:45:38Z] <hashar> Cutting branch wmf/1.34.0-wmf.6 # T220731

Mentioned in SAL (#wikimedia-operations) [2019-05-21T13:20:24Z] <hashar> scap prep 1.34.0-wmf.6 # T220731

Mentioned in SAL (#wikimedia-operations) [2019-05-21T13:24:30Z] <hashar> Applied security patches to 1.34.0-wmf.6 # T220731

Change 511695 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group to 1.34.0-wmf.6

https://gerrit.wikimedia.org/r/511695

Mentioned in SAL (#wikimedia-operations) [2019-05-21T13:29:07Z] <hashar> scap clean --verbose --delete 1.33.0-wmf.25 # T220731

Mentioned in SAL (#wikimedia-operations) [2019-05-21T13:36:48Z] <hashar> scap clean --verbose --delete 1.34.0-wmf.1 # T220731

Mentioned in SAL (#wikimedia-operations) [2019-05-21T13:38:55Z] <hashar@deploy1001> Started scap: testwiki to php-1.344.0-wmf.6 and rebuild l10n cache # T220731

Mentioned in SAL (#wikimedia-operations) [2019-05-21T14:27:04Z] <hashar@deploy1001> Finished scap: testwiki to php-1.344.0-wmf.6 and rebuild l10n cache # T220731 (duration: 48m 09s)

Change 511695 merged by jenkins-bot:
[operations/mediawiki-config@master] Group 0 to 1.34.0-wmf.6

https://gerrit.wikimedia.org/r/511695

Change 511882 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Rollback cawikinews to 1.34.0-wmf.5 due to FlaggedRevs

https://gerrit.wikimedia.org/r/511882

Change 511882 merged by jenkins-bot:
[operations/mediawiki-config@master] Rollback cawikinews to 1.34.0-wmf.5 due to FlaggedRevs

https://gerrit.wikimedia.org/r/511882

Status update:

group1 is back to 1.34.0-wmf.5 since FlaggedRevs broke cawikinews (T224116) and also missed l10n messages (T224124).

the root cause is most certainly the recent conversion of FlaggedRevs toward extension registration. A migration we definitely need but that might be tricky.

So either:

A) we attempt to fix the extension registry and someone verifies it on beta cluster / on a prod wiki. Then one can progress
B) we rollback FlaggedRevs changes and try again later

In all occasion, I can not run the train this evening due to private obligations this evening. I will attempt to catch up later tonight if possible, else on thursday morning (european time).

If no fix is available, I will just revert the changes and then process group1 on Thursday morning (european time / roughly 08:00am UTC). Then rest of wikis on Thursday afternoon (european time 13:00UTC).

Mentioned in SAL (#wikimedia-operations) [2019-05-22T18:53:36Z] <jforrester@deploy1001> Started scap: Re-build i18n and re-scap everything for i18n issues for T224116 T224124 T220731

Mentioned in SAL (#wikimedia-operations) [2019-05-22T19:26:31Z] <jforrester@deploy1001> Finished scap: Re-build i18n and re-scap everything for i18n issues for T224116 T224124 T220731 (duration: 32m 55s)

Mentioned in SAL (#wikimedia-operations) [2019-05-23T08:49:33Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: Re apply group1 wikis to 1.34.0-wmf.6 T220731

Thanks to @SBisson / @Reedy and @Jdforrester-WMF , FlaggedRevs faulty changes have been reverted and I have upgraded group 1 to 1.34.0-wmf.6.

Thanks to @SBisson / @Reedy and @Jdforrester-WMF , FlaggedRevs faulty changes have been reverted and I have upgraded group 1 to 1.34.0-wmf.6.

Technically, for most of the issues, it's the wmf-config part that is making some assumptions about the way things might be loaded ;)

Note that you may see a spike of T223741: Invalid message parameter CommentStoreComment from EventPresentationModel.php when deploying wmf.6 to group 2. The fix is here and is scheduled for the next SWAT window.

Note that you may see a spike of T223741: Invalid message parameter CommentStoreComment from EventPresentationModel.php when deploying wmf.6 to group 2. The fix is here and is scheduled for the next SWAT window.

When is the next SWAT window?

Note that you may see a spike of T223741: Invalid message parameter CommentStoreComment from EventPresentationModel.php when deploying wmf.6 to group 2. The fix is here and is scheduled for the next SWAT window.

When is the next SWAT window?

18:00 UTC

@SBisson sorry I have missed T223741 hotfix ( https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Echo/+/512070/ ). I think I had it has a blocker, you found it to be a duplicate and eventually I have not let it be a blocker since that occurred previously.

I guess I should have approved the hotfix and deploy it as part of promoting group2 to 1.34.0-wmf.6. But yeah that can happen over the SWAT window, or I guess if it is urgent/bad we can hotfix it sooner.

[13:25:28] <logmsgbot> !log hashar@deploy1001 rebuilt and synchronized wikiversions files: all wikis to 1.34.0-wmf.6